#lpinfo.ph file ... should be fairly static between releases.
#---- Modify stuff below as appropriate for your site ----

#Root directory where LPRng is installed ... this is used to find
#printcap/lpc/lpq/lpr below (you can manually specify where those are)
$LPRng_root_dir = "/appl/lprng";

#Directory in "UNIX filespace" where the lpinfo distribution is loaded
$lpinfo_root_dir =     "/usr/local/web/htdocs/LPRng";

#This is the same location as above ... but in "web space"
$lpinfo_web_dir = "/LPRng";


#Mentioned on the command line version to show people where the Web version is
$url_address = "http://www-lprng.DOMAIN/"; 

#Email address of local support person (or bozo who wrote this!   ;-)
$email_address = "alek@komar.org";

#In case your site requires meta tags on all documents ...
$meta_tags = "<head>\n<META NAME=\"CONTACT\" CONTENT=\"Komarnitsky, Alek O\">\n<META NAME=\"SENSITIVITY\" CONTENT=\"UNRESTRICTED\"</head>\n"; 


#-------- These should be fairly boilerplate
#-------- BUT READ THE COMMENTS TO BE SURE!!!!

#Set these to fullpathname where these are found.
#NOTE: set $printcap=NIS if you are using NIS to share printcaps
$printcap = "$LPRng_root_dir/etc/printcap";
$lpc = "$LPRng_root_dir/bin/lpc";
$lpq = "$LPRng_root_dir/bin/lpq";
$lpr = "$LPRng_root_dir/bin/lpr";

#Pathname of this CGI script when accessed via the Web
$thisURL= "$lpinfo_web_dir/cgi-bin/lpinfo";

#Pathname of local documention/help/procedures - need fullpathname
$helpfile = "$LPRng_root_dir/info/lpinfo_help.html";

#Default time interval in seconds to auto update queue status is set in lpinfo
#set no_over_ride_updatetime if you don't want to allow folks to change this
$no_over_ride_updatetime = 1;

#OPTIONAL: Banner program - used to generate test page ...
#If not defined, then "regular" size print just comes out
$banner = "/usr/bin/banner";

#OPTIONAL: Some misc. counters to keep track of accesses ... there are better ways to do this!  ;-)
#Don't define these and they won't be used ... but if so, they MUST be writeable by httpd!!!
#Be sure to create these files and stuff a zero in 'em to start things off
#Both must be defined in order for it to display ... first is number of times
#top-level frame is run. Second is total number of times program is run period
$count_file1 = "$lpinfo_root_dir/counters/lpinfo-1";
$count_file2 = "$lpinfo_root_dir/counters/lpinfo-2";

#OPTIONAL: Pathname of directory with info on printers - this has short & long sub-directories
#that have printername files in them with short & long descriptions. 
#BTW, if it can't find this directory, no description stuff will be displayed
$info_dir = "$LPRng_root_dir/info";

#OPTIONAL: pathname of file with locations (building names) in them.
#This is used to create a SELECT box that the user can click on.
#"ALL" should be the first entry in this.
#syntax is <keyword> <regular expression(s)>
#Where regular expressions can be used to generate the substring(s) to search
#for in the printer names
$locations_file = "$LPRng_root_dir/info/locations";

#OPTIONAL: pathname of file with locations (building names) in them.
#and the subnets the correspond to ... this is nifty when setup!  ;-)
#Syntax is <keyword> <subnet(s)>  
#keyword should match what is in the locations_file above, and subnets are
#simply a list of subnets in those particular areas/buildings/locations.
$locations_subnets_file = "$LPRng_root_dir/info/locations_subnets";

#OPTIONAL: pathname of file with Web-Servers in them and the subnets they 
#correspond to ... this is REALLY nifty when setup!  ;-)
#Tells the users about web servers that are networkically closer to 'em ...
#Probably more complexity than needed, but it's is neat!
#Syntax is <keyword> <subnet(s)>  
#keyword should match what is in the locations_file above, and subnets are
#simply a list of subnets in those particular areas/buildings/locations.
$webservers_subnets_file = "$LPRng_root_dir/info/webservers_subnets";
$default_web_server = "http://www-lprng.SOMEDOMAIN/";
$default_web_server_location  = "BLDG1"; 


#---- Everything from here on out is for "Admin Stuff"  ----
#You first need to set admin stuff so the button appears on lpinfo
$adminstuff = 1;

#Pathname of where lpinfo (admin) is found (this is just a link up)
$thisURLadmin = "$lpinfo_web_dir/admin/cgi-bin/lpinfo";

#Directory where periodic "lpq all" reports are issued
#Pls see the checkq program
$lpq_all_dir = "/home/lprng/lpinfo";

#Location of file with misc. mis-configuration information
$misconfigured = "/home/lprng/lpinfo/misconfigured";

#Filename that contains list of LPRng print servers
#Used to determine if I can show print server status
#Should be LPRng servers, since they understand lpc -P<host> lpd
$lprng_print_servers = "$LPRng_root_dir/info/lprng_print_servers";

#pathname to lprm/lpc scripts ... in a directory protected w/.htaccess
#Only httpd should be able to go into this directory
#BTW, these are only needed if you allow users to remove printjobs via lpinfo
$lprmURL = "$lpinfo_web_dir/cgi-bin/lpinfo_lprm";
$lprmURLadmin = "$lpinfo_web_dir/admin/cgi-bin/lpinfo_lprm";
$lprm_suid = "$lpinfo_root_dir/admin/cgi-bin/lpinfo_lprm_suid";
$lpc_suid = "$lpinfo_root_dir/admin/cgi-bin/lpinfo_lpc_suid";

#pathname to script that generates lpq output from an NT box
#this is because the NT LPD process truncates the IP address
#when queried via lpq, so this script does an rsh (or whatever you want)
$lpq_nt = "$lpinfo_root_dir/admin/cgi-bin/lpinfo_lpq_nt";

#Counter for number of times admin mode activated - see comments above on count_file{1,2}
$count_file0 = "$lpinfo_root_dir/counters/lpinfo-0";

#If you have Tektronix (or other printers that support direct Web Interface)
#then specify the pathname to a file that contains the regular expressions
#that identifies these ... when in admin mode, you will see a direct link to it.
$printers_with_web = "$LPRng_root_dir/info/printers_with_web";


#Just to make sure that the "require" get true returned
1;
